A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

row/rows
ArrayFire Functions | ArrayFire Functions by Category » Functions to create and modify Arrays » Assignment & Indexing operation on arrays

Gets a reference of a row in a 2D af::array More...

array::array_proxy | row (int index)
| Returns a reference to a row.
const array::array_proxy | row (int index) const
| Returns a reference to a row.
array::array_proxy | rows (int first, int last)
| Returns a reference to sequence of rows.
const array::array_proxy | rows (int first, int last) const
| Returns a reference to sequence of rows.

## Detailed Description

Gets a reference of a row in a 2D af::array

This function returns a row or a set of rows from a two dimensional af::array. The reference can be used for indexing into and assignment of values to the af::array object.

## Function Documentation

## ◆ row() [1/2]

array::array_proxy row | ( | int | index | ) |

Returns a reference to a row.

This function returns a row or a set of rows from a two dimensional af::array. The reference can be used for indexing into and assignment of values to the af::array object.

Parameters

  [in] | index | is the index of the row to be returned

Returns
  a reference to a row defined by `index`

Examples
  getting_started/integer.cpp, and helloworld/helloworld.cpp.

## ◆ row() [2/2]

const array::array_proxy row | ( | int | index | ) | const

Returns a reference to a row.

This function returns a row or a set of rows from a two dimensional af::array. The reference can be used for indexing into and assignment of values to the af::array object.

Parameters

  [in] | index | is the index of the row to be returned

Returns
  a reference to a row defined by `index`

## ◆ rows() [1/2]

array::array_proxy rows | ( | int | first,
|  | int | last )

Returns a reference to sequence of rows.

This function returns a row or a set of rows from a two dimensional af::array. The reference can be used for indexing into and assignment of values to the af::array object.

Parameters

  [in] | first | is the index of the row to be returned
  [in] | last | is the index of the row to be returned

Returns
  a reference to a set of rows

Examples
  machine_learning/geneticalgorithm.cpp.

## ◆ rows() [2/2]

const array::array_proxy rows | ( | int | first,
|  | int | last ) const

Returns a reference to sequence of rows.

This function returns a row or a set of rows from a two dimensional af::array. The reference can be used for indexing into and assignment of values to the af::array object.

Parameters

  [in] | first | is the index of the row to be returned
  [in] | last | is the index of the row to be returned

Returns
  a reference to a set of rows